Email OTP
Start Email OTP Challenge
Start a challenge when the user is already enrolled with at least one email OTP authenticator
POST
/
challenge
/
email-otp
Start Email OTP Challenge
curl --request POST \
--url https://api.authsignal.com/v1/client/challenge/email-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userAuthenticatorId": "<string>"
}
'import requests
url = "https://api.authsignal.com/v1/client/challenge/email-otp"
payload = { "userAuthenticatorId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userAuthenticatorId: '<string>'})
};
fetch('https://api.authsignal.com/v1/client/challenge/email-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"challengeId": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "too_many_requests",
"errorDescription": "The rate limit has been exceeded."
}Authorizations
Use a short-lived token obtained from the Server API's Track Action endpoint. The token is valid for 10 minutes and should be passed in the Authorization header as 'Bearer {token}'.
Body
application/json
The ID of the email OTP authenticator to use. Only required if the user has multiple email authenticators and you want to target a specific one.
Response
OK
Was this page helpful?
Previous
Verify Email OTP ChallengeVerify a challenge when enrolling a new email OTP authenticator or when re-authenticating with an existing email OTP authenticator
Next
⌘I
Start Email OTP Challenge

